r.surf.contour does not work in a processing model in QGIS 3

2018-02-14 05:06 AM - Alister Hood

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 25993

Description

See the attached example model (a simpler model that only runs r.surf.contour would probably work - I can't remember if I have tested

that).

...

ERROR: Raster map <vector_5a8397291566e4> not found 

...

For some reason it is trying to use the vector input into the previous algorithm (v.to.rast)!

This problem occurs in master on both Windows and Linux, but not if you build the same model in 2.18.16

I have assigned to Processing/GRASS, however I'm not sure it isn't a problem with Processing itself...

History

#1 - 2018-02-22 07:44 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-06-01 07:10 AM - Nyall Dawson

- Status changed from Open to Feedback

This seems OK to me. Can you please retest on 3.2 master?

#3 - 2018-07-10 08:11 AM - Alister Hood

I have been able to reproduce in 3.2, but not reliably - I've tried tweaking and rerunning models repeatedly, but can't pinpoint it.  Maybe we close this and

I'll reopen if ever get a better idea of what's causing the problem.

#4 - 2018-07-10 09:38 AM - Nyall Dawson

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Files

broken_r.surf.contour_2.model3 9.69 KB 2018-02-14 Alister Hood
